#!/bin/sh
# Script location
SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")
PROJECTBASEDIR=$(dirname "$SCRIPTPATH")

cd "$SCRIPTPATH"/Troop || exit
# Explicit python version is on purpose, Troop won't work with python 3.11+
python3.10 run-client.py --cli --syntax "tidalcycles" --mode $(which ghci) --args "-ghci-script $PROJECTBASEDIR/configs/BootTidal.hs"